Get Identity Risks of a specific type
curl --request GET \
--url https://api.prd.rad.security/accounts/{account_id}/identities/{identity_id}/risks/{risk_type}import requests
url = "https://api.prd.rad.security/accounts/{account_id}/identities/{identity_id}/risks/{risk_type}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.prd.rad.security/accounts/{account_id}/identities/{identity_id}/risks/{risk_type}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entries": [
{
"associated_resources": [
{
"id": "<string>",
"name": "<string>",
"severity": "<string>"
}
],
"deleted_at": "<string>",
"description": "<string>",
"fingerprint": "<string>",
"first_detected_at": "<string>",
"id": "<string>",
"identity_id": "<string>",
"last_detected_at": "<string>",
"name": "<string>",
"risk_counter": 123,
"score": 123,
"type": "<string>",
"weight": 123
}
],
"page": 123,
"page_count": 123,
"page_size": 123,
"total_count": 123
}{
"status": 123,
"code": "<string>",
"request_id": "<string>",
"validation_details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>",
"param": "<string>"
}
]
}Identities
Get Identity Risks of a specific type
Get Identity Risks of a specific type
GET
/
accounts
/
{account_id}
/
identities
/
{identity_id}
/
risks
/
{risk_type}
Get Identity Risks of a specific type
Path Parameters
Account ID
Identity ID
Risk type
⌘I